<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
  <title>TOS &mdash; {$config["appName"]}</title>

  <!-- General CSS Files -->
  <link rel="stylesheet" href="https://cdn.ttyun.icu/npm/bootstrap@4.1.3/dist/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdn.ttyun.icu/npm/@fortawesome/fontawesome-free@5.8.2/css/all.min.css">

  <!-- Template CSS -->
  <link rel="stylesheet" href="/theme/metron/style.css">
  <link rel="stylesheet" href="/theme/metron/components.css">

  <style>
    ol {
      padding-left: 20px;
    }
    ul {
      padding-left: 20px;
    }
    h6:first-of-type {
      margin-top: 4px;
    }
    h6 {
      margin-top: 24px;
    }
    ol li {
      padding: 4px;
    }
    ul li {
      padding: 0;
    }
  </style>
</head>

<body>
  <div id="app">
    <section class="section">
      <div class="container mt-5">
        <div class="row">
          <div class="col-12 col-sm-10 offset-sm-1 col-md-8 offset-md-2 col-lg-8 offset-lg-2 col-xl-8 offset-xl-2">
            <div class="card card-primary">
              <div class="card-header">
                <h4>服务协议</h4>
              </div>

              <div class="card-body">
                <h6>特别提示</h6>
                <p>
                  在此特别提醒您（用户）在注册成为 {$config["appName"]} 用户之前，请认真阅读本《{$config["appName"]} 用户服务协议》 （以下简称“协议”） ，确保您充分理解本协议中各条款。 请您审慎阅读并选择接受或不接受本协议。 除非您接受本协议所有条款， 否则您无权注册、登录或使用本协议所涉服务。您 的注册、登录、使用等行为将视为对本协议的接受，并同意接受本协议各项条款的约束。 本协议约定 {$config["appName"]} 与用户之间关于”SSR“服务（以下简称“服务”） 的权利义务。“用户”是指注册、登录、使用本服务的个人，{$config["appName"]} 有权更新协议内容， ，更新后的协议条款一旦公布即替代原协议条款，恕不再另行通知。
                </p>

                <h6>账号注册</h6>
                <ol>
                  <li>
                    用户在使用本服务前需要注册一个 “{$config["appName"]}” 账号。“{$config["appName"]}” 账号应当使用邮箱绑定注册，请用户使用尚未与其他 “{$config["appName"]}” 账号绑定以及未被 {$config["appName"]} 根据本协议封禁的邮箱注册 “{$config["appName"]}” 账号。{$config["appName"]} 有权根据用户需求或产品需要对账号注册和绑定的方式进行变更，恕不再另行通知。
                  </li>
                  <li>
                    如果注册申请者有被 {$config["appName"]} 封禁的先例或涉嫌虚假注册及滥用他人名义注册，及其他不能得到许可的理由，{$config["appName"]} 有权拒绝向其提供服务。
                  </li>
                </ol>

                <h6>账户安全</h6>
                <ol>
                  <li>
                    用户一旦注册成功，成为 {$config["appName"]} 的用户，将得到一个用户名和密码， 并有权利使用自己的用户名及密码随时登陆 {$config["appName"]}。
                  </li>
                  <li>
                    用户对账户和密码的安全负全部责任，同时对以其账户进行的所有活动和事件负全部责任。
                  </li>
                  <li>
                    {$config["appName"]} 未经用户允许不得泄露用户的个人隐私与信息。
                  </li>
                  <li>
                    如果用户密码泄露或者其他任何原因导致用户的密码安全受到威胁，应该及时和 {$config["appName"]} 客服人员取得联系，否则后果自负。
                  </li>
                </ol>


                <h6>用户声明与保证</h6>
                <ol>
                  <li>
                    用户需具有完全民事行为能力，且具有达成交易履行其义务的能力。
                  </li>
                  <li>
                    用户通过使用 {$config["appName"]} 的过程中所制作、上载、复制、发布、传播的任何内容，包括但不限于账号头像、名称、用户说明等注册信息及认证资料，或文字、语音、图片、视频、图文等发送、回复和相关链接页面，以及其他使用账号或本服务所产生的内容，不得违反国家相关法律制度，包含但不限于如下原则：
                    <ul>
                      <li>
                        反对宪法所确定的基本原则的
                      </li>
                      <li>
                        危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的
                      </li>
                      <li>
                        损害国家荣誉和利益的
                      </li>
                      <li>
                        煽动民族仇恨、民族歧视，破坏民族团结的
                      </li>
                      <li>
                        破坏国家宗教政策，宣扬邪教和封建迷信的
                      </li>
                      <li>
                        散布谣言，扰乱社会秩序，破坏社会稳定的
                      </li>
                      <li>
                        散布淫秽、色情、赌博、暴力、凶杀、恐怖或者教唆犯罪的
                      </li>
                      <li>
                        侮辱或者诽谤他人，侵害他人合法权益的
                      </li>
                      <li>
                        含有法律、行政法规禁止的其他内容的
                      </li>
                    </ul>
                  </li>
                  <li>
                    用户不得利用 “{$config["appName"]}” 账号或本服务制作、上载、复制、发布、传播下干扰正常运营，以及侵犯其他用户或第三方合法权益的内容:
                    <ul>
                      <li>
                        含有任何性或性暗示的
                      </li>
                      <li>
                        含有辱骂、恐吓、威胁内容的
                      </li>
                      <li>
                        含有骚扰、垃圾广告、恶意信息、诱骗信息的
                      </li>
                      <li>
                        涉及他人隐私、个人信息或资料的
                      </li>
                      <li>
                        侵害他人名誉权、肖像权、知识产权、商业秘密等合法权利的
                      </li>
                      <li>
                        含有其他干扰本服务正常运营和侵犯其他用户或第三方合法权益内容的信息
                      </li>
                    </ul>
                  </li>
                </ol>

                <h6>服务内容</h6>
                <ol>
                  <li>
                    {$config["appName"]} 具体服务内容由 {$config["appName"]} 根据实际情况提供，包括但不限于：
                    <ul>
                      <li>
                        在线咨询服务
                      </li>
                      <li>
                        网络代理服务
                      </li>
                    </ul>
                  </li>
                  <li>
                    所有发给用户的通告及其他消息都可通过邮箱或者用户所提供的联系方式发送。
                  </li>
                  <li>
                    本站无退款机制，不接受退款请求， 新注册用户请先试用。
                  </li>
                </ol>

                <h6>服务的终止</h6>
                <ol>
                  <li>
                    在下列情况下， {$config["appName"]} 有权终止向用户提供服务：
                    <ul>
                      <li>
                        用户违反本服务协议相关规定
                      </li>
                      <li>
                        半年以以上未使用 “{$config["appName"]}” 服务，{$config["appName"]} 有权终止向用户提供服务并不再保留用户相关数据
                      </li>
                      <li>
                        用户不得通过 “{$config["appName"]}” 服务传播违反本协议规定的内容，一经发现，{$config["appName"]} 有权扣留账户内的金额
                      </li>
                      <li>
                        本服务条款终止或更新时，用户明确表示不愿接受新的服务条款
                      </li>
                      <li>
                        其它 {$config["appName"]} 认为需终止服务的情况
                      </li>
                    </ul>
                  </li>
                  <li>
                    服务终止后，{$config["appName"]} 没有义务为用户保留原账号中或与之相关的任何信息。
                  </li>
                </ol>

                <h6>服务的变更、中断</h6>
                <ol>
                  <li>
                    鉴于网络服务的特殊性，用户需同意 {$config["appName"]} 会变更、 中断部分或全部的网络服务，并删除（不再保存）用户在使用过程中提交的任何资料，而无需通知用户，也无需对任何用户或任何第三方承担任何责任。
                  </li>
                  <li>
                    {$config["appName"]} 需要定期或不定期地对提供网络服务的平台进行检测或者更新，造成网络服务在合理时间内的中断，{$config["appName"]} 有义务进行提前通知， 除此之外 {$config["appName"]} 无需为此承担任何责任。
                  </li>
                </ol>

                <h6>服务条款修改</h6>
                <ol>
                  <li>{$config["appName"]} 有权随时修改本服务条款的任何内容， 一旦本服务条款的任何内容发生变动， {$config["appName"]} 将会通过适当方式向用户提示修改内容。</li>
                  <li>如果不同意 {$config["appName"]} 对本服务条款所做的更新及改动，用户有权停止使用 {$config["appName"]} 服务。</li>
                  <li>如果用户继续使用网络服务，则视为用户接受 {$config["appName"]} 对本服务条款所做的修改。</li>
                </ol>

                <h6>免责与赔偿声明</h6>
                <ol>
                  <li>
                    若 {$config["appName"]} 已经明示其服务提供方式发生变更并提醒用户应当注意事项，如因此类情况而 用户未按要求操作所产生的一切后果由用户自行承担。
                  </li>
                  <li>
                    用户明确同意其使用 {$config["appName"]} 所存在的风险将完全由其自己承担，因其使用 {$config["appName"]} 而产生的一切后果也由其自己承担。
                  </li>
                  <li>
                    用户同意保障和维护 {$config["appName"]} 及其他用户的利益，由于用户在使用 {$config["appName"]} 有违法、不真实、 不正当、侵犯第三方合法权益的行为，或用户违反本协议项下的任何条款而给 {$config["appName"]} 及任何其他第三方造成损失，用户同意承担由此造成的损害赔偿责任。
                  </li>
                </ol>

                <h6>隐私声明</h6>
                <ol>
                  <li>
                    适用范围：
                    <ul>
                      <li>
                        在用户注册 {$config["appName"]} 账户时，根据要求提供的个人注册信息
                      </li>
                      <li>
                        在用户使用 {$config["appName"]}，或访问其相关网页时， {$config["appName"]} 自动接收并记录的用户浏览器上的服 务器数值，包括但不限于 IP 地址等数据及用户要求取用的网页记录
                      </li>
                    </ul>
                  </li>
                  <li>
                    信息使用：
                    <ul>
                      <li>
                        {$config["appName"]} 不会向任何人出售或出借用户的个人信息，除非事先得到用户的许可
                      </li>
                      <li>
                        {$config["appName"]} 亦不允许任何第三方以任何手段收集、 编辑、出售或者无偿传播用户的个人信息。任何用户如从事上述活动，一经发现，{$config["appName"]} 有权立即终止与该用户的服务协议 ，查封其账号
                      </li>
                      <li>
                        为达到服务用户的目的，{$config["appName"]} 可能通过使用用户的个人信息，向用户提供服务，包括但不限于向用户发出产品和服务信息
                      </li>
                    </ul>
                  </li>
                  <li>
                    信息披露：
                    用户的个人信息将在下述情况下部分或全部被披露
                    <ul>
                      <li>
                        经用户同意，向第三方披露
                      </li>
                      <li>
                        根据法律的有关规定，或者行政或司法机构的要求，向第三方或者行政、司法机构披露
                      </li>
                      <li>
                        如果用户出现违反中国有关法律或者网站政策的情况，需要向第三方披露
                      </li>
                      <li>
                        用户使用 {$config["appName"]} 时提供的银行账户信息，{$config["appName"]} 将严格履行相关保密约定
                      </li>
                    </ul>
                  </li>
                </ol>

                <h6>其他</h6>
                <ol>
                  <li>
                    {$config["appName"]} 郑重提醒用户注意本协议中免除 {$config["appName"]} 责任和限制用户权利的条款，请用户仔细阅读，自主考虑风险。未成年人应在法定监护人的陪同下阅读本协议。
                  </li>
                  <li>
                    本协议最终解释权归 {$config["appName"]} 所有，并且保留一切解释和修改的权力。
                  </li>
                  <li>
                    本协议从即日起2019年8月01日起适用。
                  </li>
                </ol>

              </div>
            </div>
            <div class="simple-footer">
              Copyright &copy; 2020 {$config["appName"]}
              <div class="mt-2" id="copyright"></div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>

  <!-- General JS Scripts -->
  <script src="assets/modules/jquery.min.js"></script>
  <script src="assets/modules/popper.js"></script>
  <script src="assets/modules/tooltip.js"></script>
  <script src="assets/modules/bootstrap/js/bootstrap.min.js"></script>
  <script src="assets/modules/nicescroll/jquery.nicescroll.min.js"></script>
  <script src="assets/modules/moment.min.js"></script>
  <script src="assets/js/stisla.js"></script>

  <!-- JS Libraies -->

  <!-- Page Specific JS File -->

  <!-- Template JS File -->
  <script src="assets/js/scripts.js"></script>
  <script src="assets/js/custom.js"></script>

  <script>
    var code = "UG93ZXJlZCBieSA8YSBocmVmPSIvc3RhZmYiPlNTUEFORUw8L2E+IDxkaXYgY2xhc3M9ImJ1bGxldCI+PC9kaXY+VGhlbWUgYnkgPGEgaHJlZj0iaHR0cHM6Ly90Lm1lL2VkaXRYWSIgdGFyZ2V0PSJibGFuayI+ZWRpdFhZPC9hPg==";
    $('#copyright').html(atob(code));
  </script>
  
</body>
</html>